<!DOCTYPE html>
<html ng-app="CidenetPrueba">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <title>Consulta empleados</title>


        <!-- Incluir Bootstrap -->
        <link rel="stylesheet" href="css/bootstrap.min.css">

        <!-- Animate.css -->
        <link rel="stylesheet" href="css/animate.css">

        <!-- Incluir AngularJS Librerias -->
        <script src="js/lib/angular.min.js"></script>                
        <script type="text/javascript" src="js/database/db.js"></script>
        <script src="js/app.js"></script>

         <!-- Datatable -->
        <script src="js/lib/DataTable/jquery-3.5.1.js"></script>
        <script src="js/lib/DataTable/jquery.dataTables.min.js"></script>
        <script src="js/lib/DataTable/dataTables.bootstrap.min.js"></script>

        <!-- SwitAlert -->
        <script src="plugins/swit/sweetalert.min.js"></script>
        <link rel="stylesheet" type="text/css" href="plugins/swit/sweetalert.css">

        <style>
            .avatar{
                width: 75px;
                height: 75px;
            }

            .puntero{
                cursor: pointer;
            }

        </style>

    </head>  

    <body ng-controller="listadoCtrl">

<!-- Consulta de Empleados -->
        <div class="container">
            
            <h1>Cidenet - Consulta Empleados</h1>
            <h4>Prueba</h4>
            <hr>

            <table id="tblReg" class="table table-striped table-bordered">                
              <thead class="static">
                <tr>
                  <th scope="col"><a class="puntero" ng-click="columna='PrimerApellido'; reverse = !reverse;"/>Primer Apellido</th>
                  <th scope="col"><a class="puntero" ng-click="columna='SegundoApellido'; reverse = !reverse;"/>Segundo Apellido</th>
                  <th scope="col"><a class="puntero" ng-click="columna='PrimerNombre'; reverse = !reverse;"/>Primer Nombre</th>
                  <th scope="col"><a class="puntero" ng-click="columna='OtroNombre'; reverse = !reverse;"/>Otros Nombres</th>
                  <th scope="col"><a class="puntero" ng-click="columna='Pais'; reverse = !reverse;"/>País del empleo</th>
                  <th scope="col"><a class="puntero" ng-click="columna='TipoID'; reverse = !reverse;"/>Tipo de ID</th>
                  <th scope="col"><a class="puntero" ng-click="columna='NumID'; reverse = !reverse;"/># de ID</th>
                  <th scope="col"><a class="puntero" ng-click="columna='Email'; reverse = !reverse;"/>Correo electrónico</th>
                  <th scope="col">Fecha de ingreso</th>
                  <th scope="col">Área</th>
                  <th scope="col"><a class="puntero" ng-click="columna='Estado'; reverse = !reverse;"/>Estado</th>
                  <th scope="col">Fecha y Hora de Registro</th>
                  <th>Ver</th>
                  <th>Eliminar</th>
                </tr>
              </thead>
              <tbody>
                <tr ng-repeat="persona in personas | orderBy:columna: reverse">
                  <td>{{persona.PrimerApellido}}</td>
                  <td>{{persona.SegundoApellido}}</td>
                  <td>{{persona.PrimerNombre}}</td>
                  <td>{{persona.OtroNombre}}</td>
                  <td>{{persona.Pais}}</td>
                  <td>{{persona.TipoID}}</td>
                  <td>{{persona.NumID}}</td>
                  <td>{{persona.Email}}</td>
                  <td>{{persona.FechIng}}</td>
                  <td>{{persona.Area}}</td>
                  <td>{{persona.Estado}}</td>
                  <td>{{persona.FechReg}}</td>
                  <td><button id="btnEdit" ng-click="Editar(persona)" type="submit" class="btn btn-primary">Editar</button></td>
                  <td><button id="btnElim" type="submit" class="btn btn-danger" ng-click="Eliminar(persona)">X</button></td>
                </tr>
              </tbody>
            </table>   

            <!-- <button class="btn btn-primary" ng-click="anterior()">Anteriores</button>
            <button class="btn btn-primary" ng-click="siguiente()">Siguientes</button>  -->

            <br>

<!-- Registro de Empleados -->
            <div ng-app="CidenetPrueba">
                <div class="Container">                    
                    <button id="btnReg" ng-click="ShowFormReg()" ng-hide="formVisibility" type="submit" class="btn btn-primary">Crear Registro</button>
                </div>

                <div id="Reg" ng-show="formVisibilityReg">
                    <h1>Cidenet - Registro Empleados</h1>
                    <h4>Prueba</h4>
                    <hr>

                    <form ng-submit="guardarEmpleado()">
                        Primer Apellido:
                        <br>
                        <input id="PrimerApellido" class="form-control" type="text" name="PrimerApellido" ui-mask="{{telMask}}" onkeyup="javascript:this.value=this.value.toUpperCase();" onkeypress="return check(event)" maxlength="20" ng-model ="PrimerApellido" required="">
                        <br>
                        Segundo Apellido:
                        <input id="SegundoApellido" class="form-control" type="text" name="SegundoApellido:" ui-mask="{{telMask}}" onkeyup="javascript:this.value=this.value.toUpperCase();" onkeypress="return check(event)" maxlength="20" required="">
                        <br>
                        Primer Nombre:
                        <input id="PrimerNombre" class="form-control" type="text" name="PrimerNombre" ui-mask="{{telMask}}" onkeyup="javascript:this.value=this.value.toUpperCase();" onkeypress="return check(event)" maxlength="20" ng-model ="PrimerNombre" required="">
                        <br>                
                        Otro Nombre:
                        <input id="OtroNombre" class="form-control" type="text" name="OtroNombre" ui-mask="{{telMask}}" onkeyup="javascript:this.value=this.value.toUpperCase();" onkeypress="return check(event)" maxlength="50" required="">
                        <br>
                        País del empleo:
                        <select id="Pais" class="form-control" name="Pais" ui-mask="{{telMask}}" ng-model ="Pais">
                            <option value="@cidenet.com.co " selected>Colombia</option>
                            <option value="@cidenet.com.us">Estados Unidos</option>
                        </select>
                        <br>
                        Tipo de ID:
                        <select id="TipoID" class="form-control" type="text" name="TipoID" ui-mask="{{telMask}}">
                            <option value="Cédula de Ciudadanía" selected>Cédula de Ciudadanía</option>
                            <option value="Cédula de Extranjería">Cédula de Extranjería</option>
                            <option value="Pasaporte">Pasaporte</option>
                            <option value="Permiso Especial">Permiso Especial</option>
                        </select>
                        <br>
                        # de ID:
                        <input id="NumID" class="form-control" type="text" name="NumID" ui-mask="{{telMask}}" onkeypress="return check1(event)" maxlength="20" required="">
                        <br>                
                        Correo electrónico:
                        <!-- <input id="Email" type="text" name="Email" class="form-control" ui-mask="{{telMask}}" required=""> -->
                        <input id="Email" class="form-control" type="email" name="Email" ui-mask="{{telMask}}" maxlength="300" value="{{PrimerNombre + '.' + PrimerApellido + Pais}}" disabled>
                        <br>
                        Fecha de ingreso:
                        <input id="FechIng" class="form-control" type="date" name="FechIng" ui-mask="{{telMask}}" min="{{minDate}}" max="{{today}}" required="">
                        <br>
                        Área:
                        <select id="Area" class="form-control" type="text" name="Area" ui-mask="{{telMask}}">
                            <option value="" selected>Administración</option>
                            <option value="">Financiera</option>
                            <option value="">Compras</option>
                            <option value="">Infraestructura</option>
                            <option value="">Operación</option>
                            <option value="">Talento Humano</option>
                            <option value="">Servicios Varios</option>
                        </select>
                        <br>
                        Estado:
                        <select id="Estado" class="form-control" type="text" name="Estado" ui-mask="{{telMask}}" disabled>
                            <option value="" selected>Activo</option>
                            <option value="">Inactivo</option>
                        </select>
                        <br>
                        Fecha y Hora de Registro:
                        <div ng-controller="FechaActual">
                            <input id="FechReg" class="form-control" type="text" name="FechReg" ui-mask="{{telMask}}" value="{{ CurrentDate | date:'dd/MM/yyyy HH:mm:ss'}}" disabled> 
                        </div> 
                        <br>
                          <button type="submit" class="btn btn-primary" ng-click="SaveInfo()">Guardar</button>
                        <br>
                        <br>
                    </form>
                </div>
            </div>
            <br><br><br>  


<!-- Edicion Registro de Empleados -->
            <div ng-app="CidenetPrueba">
              <div id="Edit" ng-show="formVisibilityEdit">
                <h1>Cidenet - Edición de Registros Empleados</h1>
                <h4>Prueba</h4>
                <hr>
                <form ng-submit="editarEmpleado()" ng-repeat="persona in registros">
                    Primer Apellido:
                    <br>
                    <input id="PrimerApellidoEdit" class="form-control" type="text" name="PrimerApellido" ui-mask="{{telMask}}" onkeyup="javascript:this.value=this.value.toUpperCase();" onkeypress="return check(event)" maxlength="20" ng-model ="persona.PrimerApellido" value="{{persona.PrimerApellido}}" required="">
                    <br>
                    Segundo Apellido:
                    <input id="SegundoApellidoEdit" type="text" name="SegundoApellido:" class="form-control" ui-mask="{{telMask}}" onkeyup="javascript:this.value=this.value.toUpperCase();" onkeypress="return check(event)" maxlength="20" value="{{persona.SegundoApellido}}" required="">
                    <br>
                    Primer Nombre:
                    <input id="PrimerNombreEdit" type="text" name="PrimerNombre" class="form-control" ui-mask="{{telMask}}" onkeyup="javascript:this.value=this.value.toUpperCase();" onkeypress="return check(event)" maxlength="20" ng-model ="persona.PrimerNombre" value="{{persona.PrimerNombre}}" required="">
                    <br>                
                    Otro Nombre:
                    <input id="OtroNombreEdit" type="text" name="OtroNombre" class="form-control" ui-mask="{{telMask}}" onkeyup="javascript:this.value=this.value.toUpperCase();" onkeypress="return check(event)" maxlength="50" value="{{persona.OtroNombre}}" required="">
                    <br>
                    País del empleo:
                    <select id="PaisEdit" name="PaisEdit" class="form-control" ui-mask="{{telMask}}" ng-model="PaisEdit" required="">
                        <option value="@cidenet.com.co" selected>Colombia</option>
                        <option value="@cidenet.com.us">Estados Unidos</option>
                    </select>
                    <br>
                    Tipo de ID:
                    <select id="TipoIDEdit" type="text" name="TipoID" class="form-control" ui-mask="{{telMask}}">
                        <option value="Cedula de Ciudadania" selected>Cédula de Ciudadanía</option>
                        <option value="Cedula de Extranjeria">Cédula de Extranjería</option>
                        <option value="Pasaporte">Pasaporte</option>
                        <option value="Permiso Especial">Permiso Especial</option>
                    </select>
                    <br>
                    # de ID:
                    <input id="NumIDEdit" type="text" name="NumID" class="form-control" ui-mask="{{telMask}}" onkeypress="return check1(event)" maxlength="20" value="{{persona.NumID}}" required="">
                    <br> 
                    Correo electrónico anterior:
                    <input id="EmailEdit1" type="email1" name="Email1" class="form-control" ui-mask="{{telMask}}" maxlength="300" value="{{persona.Email}}" required="" disabled>
                    <br>               
                    Correo electrónico nuevo:
                    <input id="EmailEdit" type="email" name="Email" class="form-control" ui-mask="{{telMask}}" maxlength="300" value="{{persona.PrimerNombre + '.' + persona.PrimerApellido + PaisEdit}}" required="" disabled>
                    <br>
                    Fecha de ingreso:
                    <input id="FechIngEdit" type="date" name="FechIng" class="form-control" ui-mask="{{telMask}}" min="{{minDate}}" max="{{today}}" value="{{persona.FechIng}}" required="">
                    <br>
                    Área:
                    <select id="AreaEdit" type="text" name="Area" class="form-control" ui-mask="{{telMask}}">
                        <option value="" selected>Administración</option>
                        <option value="">Financiera</option>
                        <option value="">Compras</option>
                        <option value="">Infraestructura</option>
                        <option value="">Operación</option>
                        <option value="">Talento Humano</option>
                        <option value="">Servicios Varios</option>
                    </select>
                    <br>
                    Estado:
                    <select id="EstadoEdit" type="text" name="Estado" class="form-control" ui-mask="{{telMask}}">
                        <option value="" selected>Activo</option>
                        <option value="">Inactivo</option>
                    </select>
                    <br>
                    Fecha y Hora de Registro:
                    <div ng-controller="FechaActual">
                        <input id="FechRegEdit" type="text" name="FechReg" class="form-control" ui-mask="{{telMask}}" value="{{persona.FechReg}}" disabled> 
                    </div> 
                    <br>
                      <button type="submit" class="btn btn-primary" ng-click="SaveInfoEdit()">Editar</button>
                    <br>
                    <br>
                </form>               
            </div>
        </div>
        <br><br><br>  

    </div>

  </body>
   
</html>  
